org.springframework.data.relational.core.sql

## Class Expressions

- java.lang.Object
- - org.springframework.data.relational.core.sql.Expressions

    public abstract class Expressions
    extends Object

Factory for common `Expression`s.

Since:
  1.1
Author:
  Mark Paluch, Jens Schauder
See Also:
  `SQL`, `Conditions`, `Functions`

### Nested Class Summary

Nested Classes
`static class` `Expressions.SimpleExpression`

### Method Summary

All Methods Static Methods Concrete Methods
`static Expression` `asterisk()`
`static Expression` `asterisk(Table table)`
`static Expression` `just(String sql)` Creates a plain `sql` `Expression`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### asterisk

    public static Expression asterisk()

Returns:
  a new asterisk `*` expression.

#### just

    public static Expression just(String sql)

Creates a plain `sql` `Expression`.

Parameters:
  `sql` - the SQL, must not be null or empty.
Returns:
  a SQL `Expression`.

#### asterisk

    public static Expression asterisk(Table table)

Returns:
  a new `Table`.scoped asterisk `<table>.*` expression.